onEvent('recipes', (event) => {
    event.shaped('ringsofascension:ring_mining', [' A ', 'ABA', ' A '], {
        A: 'mininggadgets:upgrade_efficiency_5',
        B: 'curios:ring'
    }).id('kubejs:ringsofascension/ring_mining')
})